assignPresentation
PUT
/api/v1/screens/{id}/playlist-assignment
const url = 'https://example.com/api/v1/screens/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/playlist-assignment';const options = { method: 'PUT', headers: {'X-CSRF-Token': 'example', 'Content-Type': 'application/json'}, body: '{"playlistId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/screens/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/playlist-assignment \ --header 'Content-Type: application/json' \ --header 'X-CSRF-Token: example' \ --data '{ "playlistId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Header Parameters
Section titled “Header Parameters”X-CSRF-Token
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “ Responses ”Direct playlist or Layout assignment replaced
Owner or Administrator required